apiVersion: v1
clusters:
- cluster:
    certificate-authority-data: LS0tLS1CRUdJTiBDRVJUSUZJQ0FURS0tLS0tCk1JSUR2RENDQXFTZ0F3SUJBZ0lJUGFuUForUHV1T2t3RFFZSktvWklodmNOQVFFTEJRQXdGVEVUTUJFR0ExVUUKQXhNS2EzVmlaWEp1WlhSbGN6QWVGdzB5TURBM01UVXdNVEV6TlRsYUZ3MHlOREF6TVRNeU1qUTJOVEZhTUJreApGekFWQmdOVkJBTVREbXQxWW1VdFlYQnBjMlZ5ZG1WeU1JSUJJakFOQmdrcWhraUc5dzBCQVFFRkFBT0NBUThBCk1JSUJDZ0tDQVFFQXVpVG4wcGlIck9uTnZ5dXRyalM2My9ZeHBRNVRtK0l1UkNpczhMSkVIYlhmTmhib0JFTnYKb0wxeHZUbFdJVi9XV3FCamFtS0xUVytZd2pMTlh6aFNqbk5VbWRUM2Mwb0s4RHBqOXc2RzE0OXdQRm5udmprVApkOEpqUHRsNnd1eHVMRnlZeXBDcTJPeTZnbEp0M2ZvVTlMMG94b1M5cmVQVFN4UDZoRWpxVGdCekYyeHVsQXk0CnBpTFladFIyMGlURU1aWXozYWpYclI2bzFFdlBjaUp5WU9RRm9YY25CVTRzOW1McGxBaGR1cmhZbXFyU3JnRisKQ2NxRVR5T25kTlU5S2V0ZjFWYXRHcEdLNDdjNGtOdW5jbXhpbWFhalJyRHdoa0FTSFlCY093aTFQTVl4Z29qZwp4Y1pEVHhKLytnQ2NlZHpHVWhXUEV4TmVGQmJaK3hHUlp3SURBUUFCbzRJQkNqQ0NBUVl3RGdZRFZSMFBBUUgvCkJBUURBZ1dnTUJNR0ExVWRKUVFNTUFvR0NDc0dBUVVGQndNQk1Bd0dBMVVkRXdFQi93UUNNQUF3Z2RBR0ExVWQKRVFTQnlEQ0J4WUlLYTNWaVpYSnVaWFJsYzRJU2EzVmlaWEp1WlhSbGN5NWtaV1poZFd4MGdoWnJkV0psY201bApkR1Z6TG1SbFptRjFiSFF1YzNaamdpUnJkV0psY201bGRHVnpMbVJsWm1GMWJIUXVjM1pqTG1Oc2RYTjBaWEl1CmJHOWpZV3lDR25CeWIyUXRZM0F4TG1Oc2IzVmtMblowZEdrdWRuUXVaV1IxZ2d0d2NtOWtMV3M0Y3kxdE1vSVgKY0hKdlpDMXJPSE10YlRJdWRuUjBhUzUyZEM1bFpIV0NGM1owZEdrdGF6aHpMVEF4TG5aMGRHa3VkblF1WldSMQpod1FLeG9BQmh3U0FyY0RBTUEwR0NTcUdTSWIzRFFFQkN3VUFBNElCQVFCcS9kd1NVTGYwcVdvd0ptZHlqenVuClNFa21FemVDbGtVR0QyTmNvSDRLcnFWS0hSWkwySzhVMStUakJZclNuajJpU2VhaWRqNnpLa1FpRnNGTHBrV0sKQnNqblRRV0pJOWVDMVJMbHJ5WkY4UEN2Rkxzcy8yOGlsVWx0M1pma2pkdWtONTR2dFJhbkxac3VzSVFQRFRiMwp2SHFCNE5rZHBqV0duckpSSnFteE9qTElaYUtwNS9hTHJNb05BUkxYbWFEdmJzWWRjSHdTOTBWYWthWVlsRjhPCmZBcEdUalA1cWFYRkVyeEFLNExjVDBNUTdEdjMwR0oyQjkyWmx2NGRFOVBrNXh5SU5kT3QrZ3RBWlRPb2dDY3kKYjdFNXgrUUx5N2VSeUNaUUx5bkp4L2hOWlp6VlRYek1va1ZPTUtoOTc1bzV1MzMxeENicGE1TXpUeEZOcE9QQgotLS0tLUVORCBDRVJUSUZJQ0FURS0tLS0t
    server: https://prod-cp1.cloud.vtti.vt.edu:6443
  name: prod-cluster
contexts:
- context:
    cluster: prod-cluster
    namespace: default
    user: prod-k8s-cluster-pinniped
  name: prod
current-context: prod
kind: Config
preferences: {}
users:
- name: prod-k8s-cluster-pinniped
  user:
    exec:
      apiVersion: client.authentication.k8s.io/v1beta1
      args:
      - login
      - oidc
      - --enable-concierge
      - --concierge-api-group-suffix=pinniped.dev
      - --concierge-authenticator-name=k8s-prod-cluster-authenticator
      - --concierge-authenticator-type=jwt
      - --concierge-endpoint=https://128.173.192.192:6443
      - --concierge-ca-bundle-data=LS0tLS1CRUdJTiBDRVJUSUZJQ0FURS0tLS0tCk1JSUR2RENDQXFTZ0F3SUJBZ0lJUGFuUForUHV1T2t3RFFZSktvWklodmNOQVFFTEJRQXdGVEVUTUJFR0ExVUUKQXhNS2EzVmlaWEp1WlhSbGN6QWVGdzB5TURBM01UVXdNVEV6TlRsYUZ3MHlOREF6TVRNeU1qUTJOVEZhTUJreApGekFWQmdOVkJBTVREbXQxWW1VdFlYQnBjMlZ5ZG1WeU1JSUJJakFOQmdrcWhraUc5dzBCQVFFRkFBT0NBUThBCk1JSUJDZ0tDQVFFQXVpVG4wcGlIck9uTnZ5dXRyalM2My9ZeHBRNVRtK0l1UkNpczhMSkVIYlhmTmhib0JFTnYKb0wxeHZUbFdJVi9XV3FCamFtS0xUVytZd2pMTlh6aFNqbk5VbWRUM2Mwb0s4RHBqOXc2RzE0OXdQRm5udmprVApkOEpqUHRsNnd1eHVMRnlZeXBDcTJPeTZnbEp0M2ZvVTlMMG94b1M5cmVQVFN4UDZoRWpxVGdCekYyeHVsQXk0CnBpTFladFIyMGlURU1aWXozYWpYclI2bzFFdlBjaUp5WU9RRm9YY25CVTRzOW1McGxBaGR1cmhZbXFyU3JnRisKQ2NxRVR5T25kTlU5S2V0ZjFWYXRHcEdLNDdjNGtOdW5jbXhpbWFhalJyRHdoa0FTSFlCY093aTFQTVl4Z29qZwp4Y1pEVHhKLytnQ2NlZHpHVWhXUEV4TmVGQmJaK3hHUlp3SURBUUFCbzRJQkNqQ0NBUVl3RGdZRFZSMFBBUUgvCkJBUURBZ1dnTUJNR0ExVWRKUVFNTUFvR0NDc0dBUVVGQndNQk1Bd0dBMVVkRXdFQi93UUNNQUF3Z2RBR0ExVWQKRVFTQnlEQ0J4WUlLYTNWaVpYSnVaWFJsYzRJU2EzVmlaWEp1WlhSbGN5NWtaV1poZFd4MGdoWnJkV0psY201bApkR1Z6TG1SbFptRjFiSFF1YzNaamdpUnJkV0psY201bGRHVnpMbVJsWm1GMWJIUXVjM1pqTG1Oc2RYTjBaWEl1CmJHOWpZV3lDR25CeWIyUXRZM0F4TG1Oc2IzVmtMblowZEdrdWRuUXVaV1IxZ2d0d2NtOWtMV3M0Y3kxdE1vSVgKY0hKdlpDMXJPSE10YlRJdWRuUjBhUzUyZEM1bFpIV0NGM1owZEdrdGF6aHpMVEF4TG5aMGRHa3VkblF1WldSMQpod1FLeG9BQmh3U0FyY0RBTUEwR0NTcUdTSWIzRFFFQkN3VUFBNElCQVFCcS9kd1NVTGYwcVdvd0ptZHlqenVuClNFa21FemVDbGtVR0QyTmNvSDRLcnFWS0hSWkwySzhVMStUakJZclNuajJpU2VhaWRqNnpLa1FpRnNGTHBrV0sKQnNqblRRV0pJOWVDMVJMbHJ5WkY4UEN2Rkxzcy8yOGlsVWx0M1pma2pkdWtONTR2dFJhbkxac3VzSVFQRFRiMwp2SHFCNE5rZHBqV0duckpSSnFteE9qTElaYUtwNS9hTHJNb05BUkxYbWFEdmJzWWRjSHdTOTBWYWthWVlsRjhPCmZBcEdUalA1cWFYRkVyeEFLNExjVDBNUTdEdjMwR0oyQjkyWmx2NGRFOVBrNXh5SU5kT3QrZ3RBWlRPb2dDY3kKYjdFNXgrUUx5N2VSeUNaUUx5bkp4L2hOWlp6VlRYek1va1ZPTUtoOTc1bzV1MzMxeENicGE1TXpUeEZOcE9QQgotLS0tLUVORCBDRVJUSUZJQ0FURS0tLS0t
      - --issuer=https://k8s-login.cloud.vtti.vt.edu
      - --client-id=pinniped-cli
      - --scopes=offline_access,openid,pinniped:request-audience,username,groups
      - --request-audience=prod-cluster-o3kcygpjy6
      - --upstream-identity-provider-name=gitlab
      - --upstream-identity-provider-type=oidc
      - --upstream-identity-provider-flow=browser_authcode
      command: pinniped
      env: []
      installHint: The pinniped CLI does not appear to be installed.  See https://get.pinniped.dev/cli
        for more details
      provideClusterInfo: true
